Ir al contenido
Iniciar sesión Registrarse

Productos de vendedores de Amazon

Amazon Seller Products devuelve el catálogo de productos ofrecidos por un vendedor de Amazon determinado, con precios, valoraciones y detalles de envío. Utiliza page para la paginación.

GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_products
ParameterTypeRequiredDescription
api_keystringyesTu clave de API de SERP (compartida con Amazon).
enginestringyesDebe ser amazon.
typestringyesDebe ser seller_products.
seller_idstringyesEl ID del vendedor de Amazon (por ejemplo, AAZRLVTNON75Z).
domainstringnoDominio del marketplace, por defecto amazon.com.
devicedesktop | mobilenoDispositivo simulado.
pageintegernoNúmero de página de resultados.
Ventana de terminal
curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_products&seller_id=AAZRLVTNON75Z"
{
"search_parameters": {
"amazon_url": "https://www.amazon.com/s?me=AAZRLVTNON75Z",
"engine": "amazon",
"amazon_domain": "amazon.com",
"type": "seller_products",
"seller_id": "AAZRLVTNON75Z"
},
"search_results": {
"product_results": [
{
"position": 1,
"product_id": "B01NGTV4J5",
"title": "Cascade Platinum Dishwasher Pods",
"link": "https://www.amazon.com/dp/B01NGTV4J5",
"thumbnail": "https://m.media-amazon.com/images/I/71-268JmbAL.jpg",
"price": "$38.88",
"currency": "$",
"shipping_details": ["FREE delivery May 2 - 5"]
},
{
"position": 2,
"product_id": "B000SDKDM4",
"title": "Lavazza Super Crema Whole Bean Coffee Blend",
"price": "$36.64",
"bestseller": { "category": "in Roasted Coffee Beans" }
}
]
},
"pagination": { "current_page": 1, "has_next_page": true, "next_page": 2 }
}